Package io.dapr.v1

# Class CommonProtos

java.lang.Object
io.dapr.v1.CommonProtos

public final class CommonProtos extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CommonProtos.ConfigurationItem`
  ConfigurationItem represents all the configuration with its name(key).
  `static interface`
  `CommonProtos.ConfigurationItemOrBuilder`
  `static final class`
  `CommonProtos.Etag`
  Etag represents a state item version
  `static interface`
  `CommonProtos.EtagOrBuilder`
  `static final class`
  `CommonProtos.HTTPExtension`
  HTTPExtension includes HTTP verb and querystring when Dapr runtime delivers HTTP content.
  `static interface`
  `CommonProtos.HTTPExtensionOrBuilder`
  `static final class`
  `CommonProtos.InvokeRequest`
  InvokeRequest is the message to invoke a method with the data.
  `static interface`
  `CommonProtos.InvokeRequestOrBuilder`
  `static final class`
  `CommonProtos.InvokeResponse`
  InvokeResponse is the response message including data and its content type from app callback.
  `static interface`
  `CommonProtos.InvokeResponseOrBuilder`
  `static final class`
  `CommonProtos.JobFailurePolicy`
  JobFailurePolicy defines the policy to apply when a job fails to trigger.
  `static final class`
  `CommonProtos.JobFailurePolicyConstant`
  JobFailurePolicyConstant is a policy which retries the job at a consistent interval when the job fails to trigger.
  `static interface`
  `CommonProtos.JobFailurePolicyConstantOrBuilder`
  `static final class`
  `CommonProtos.JobFailurePolicyDrop`
  JobFailurePolicyDrop is a policy which drops the job tick when the job fails to trigger.
  `static interface`
  `CommonProtos.JobFailurePolicyDropOrBuilder`
  `static interface`
  `CommonProtos.JobFailurePolicyOrBuilder`
  `static final class`
  `CommonProtos.StateItem`
  StateItem represents state key, value, and additional options to save state.
  `static interface`
  `CommonProtos.StateItemOrBuilder`
  `static final class`
  `CommonProtos.StateOptions`
  StateOptions configures concurrency and consistency for state operations
  `static interface`
  `CommonProtos.StateOptionsOrBuilder`
  `static final class`
  `CommonProtos.StreamPayload`
  Chunk of data sent in a streaming request or response.
  `static interface`
  `CommonProtos.StreamPayloadOrBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.google.protobuf.Descriptors.FileDescriptor`
  `getDescriptor()`
  `static void`
  `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
  `static void`
  `registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()